/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Son Feb 9 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <SDL/SDL.h>
#include <string>

#include "sgui_window.h"

// just a little test of the gui
int main()
{
	std::string hello = "Hello\nIs this the next line?";
	
	SGUI_Window fenster;

	fenster.setSize(640, 480);
	fenster.setName("SGUI Test Application");
	fenster.setIcon("icon.bmp");

	SGUI_Textfield * test;
	SGUI_Textfield * anders;
	SGUI_Dialog * Dialog;

	test = new SGUI_Textfield;
	anders = new SGUI_Textfield;
	Dialog = new SGUI_Dialog;

	fenster.setBackgroundColor(0, 0, 0);

	fenster.show();

	fenster.write("Just a test", 0, 100);

	fenster.addObject(test);
	fenster.addObject(anders);
	
	test->setSize(200, 50);
	test->setTextColor(0, 0, 0, 0);
	test->setFont("comic.ttf", 12);
	test->setText(hello);
	test->x = 10;
	test->y = 10;

	anders->setSize(200, 200);
	anders->setTextColor(255, 255, 255, 0);
	anders->setFont("comic.ttf", 36);
	anders->setText("editable");
	anders->writeable = true;
	anders->x = 200;
	anders->y = 50;
 
	Dialog->x = 70;
	Dialog->y = 150;
	Dialog->setBackgroundColor(0, 65, 0);
	Dialog->setSize(500, 300);
                                          
	fenster.addObject(Dialog);
	Dialog->addObject(test);
	Dialog->addObject(anders);

	Dialog->setFocus(anders);
	fenster.setFocus(Dialog);


	fenster.draw();

	SDL_Event event;

	bool done = false;
	
	while(!done)
	{
		event = fenster.WaitEvent();
		if(event.type == SDL_QUIT)
			// The x was pressed, exit
			done = true;

		// neu zeichnen
		fenster.draw();
	}
	return 42;
}
